1+3 new <test_2d.gradient.radial.*.html> fail on MacOSX 10.4 SeaMonkey tinderbox

VERIFIED FIXED in mozilla1.9.1a2

Status

()

Core
Canvas: 2D
VERIFIED FIXED
10 years ago
10 years ago

People

(Reporter: sgautherie, Assigned: ebutler)

Tracking

Trunk
mozilla1.9.1a2
x86
Mac OS X
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(2 attachments)

(Reporter)

Description

10 years ago
Started to fail between

<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1218421517.1218425946.14029.gz&fulltext=1>
"MacOSX 10.4 comm-central dep unit test on 2008/08/10 19:25:17"
rev:0885c9c7e704
m-c:ccc930630562

and

<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1218427463.1218432032.31472.gz&fulltext=1>
"MacOSX 10.4 comm-central dep unit test on 2008/08/10 21:04:23"
rev:0885c9c7e704
m-c:c321f9d28355
Flags: blocking1.9.1?
(Reporter)

Updated

10 years ago
Summary: <input-text-size-1.html> regressed on MacOSX 10.4 SeaMonkey tinderbox → 1+3 <test_2d.gradient.radial.*.html> regressed on MacOSX 10.4 SeaMonkey tinderbox
(Reporter)

Comment 1

10 years ago
Created attachment 333237 [details]
Error Log
(Reporter)

Comment 2

10 years ago
(In reply to comment #0)
> Started to fail between

The only checkin is
{{
c321f9d28355: b=446534, Update canvas mochitests, code from Philip Taylor, patch by Eric Butler; r=vlad

Vladimir Vukicevic <vladimir@pobox.com> - Sun, 10 Aug 2008 21:01:14 -0700 - rev 16546
}}
(Reporter)

Comment 3

10 years ago
Actually, these 4 tests are new tests.
Summary: 1+3 <test_2d.gradient.radial.*.html> regressed on MacOSX 10.4 SeaMonkey tinderbox → 1+3 new <test_2d.gradient.radial.*.html> fail on MacOSX 10.4 SeaMonkey tinderbox
They're probably running into the same problems that other tests have on 10.4 -- they need to just be disabled on 10.4 (or on OSX in general, I think, unfortunately).  CoreGraphics on 10.4 has bugs, though most of them were fixed with the latest 10.4 dot release.
(Reporter)

Comment 5

10 years ago
(In reply to comment #4)
> they need to just be disabled on 10.4 (or on OSX in general, I think, unfortunately).

They are already in
{{
773 # Tests that fail on non-Mac (bug 407107)
774 ifeq ($(MOZ_WIDGET_TOOLKIT),cocoa)

789 _TEST_FILES_3 += \

792         test_2d.gradient.radial.touch1.html \
793         test_2d.gradient.radial.touch2.html \
794         test_2d.gradient.radial.touch3.html \
795         test_2d.gradient.radial.equal.html \
}}

Then, disabling them on OSX/cocoa would mean disabling them everywhere.

***

As in bug 448121, they pass on
<http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1218467048.1218474272.29650.gz&fulltext=1>
"MacOSX Darwin 9.2.2 mozilla-central qm-moz2mini01 dep unit test on 2008/08/11 08:04:08"

Disabling them on 10.4 only would be fine (for now).
(Assignee)

Comment 6

10 years ago
Created attachment 333315 [details] [diff] [review]
patch to disable tests
[Checkin: Comment 9]

Given that the tests fail on almost all platforms, it would be easiest if they were disabled entirely.
Assignee: nobody → ebutler
Status: NEW → ASSIGNED
(Reporter)

Comment 7

10 years ago
Comment on attachment 333315 [details] [diff] [review]
patch to disable tests
[Checkin: Comment 9]

I assume you want to ask for review...
Attachment #333315 - Flags: review?(vladimir)
(Reporter)

Comment 8

10 years ago
And now, I assume you need someone to check it in.
Keywords: regression → checkin-needed
pushed in 1d76ef1228df
Keywords: checkin-needed
(Reporter)

Comment 10

10 years ago
V.Fixed between
<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1219004719.1219009342.4076.gz&fulltext=1>
"MacOSX 10.4 comm-central dep unit test on 2008/08/17 13:25:19"
and
<http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1219009122.1219013957.17018.gz&fulltext=1>
"MacOSX 10.4 comm-central dep unit test on 2008/08/17 14:38:42"
No longer blocks: 445185
Status: ASSIGNED → RESOLVED
Last Resolved: 10 years ago
Flags: blocking1.9.1? → in-testsuite-
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.1a2
(Reporter)

Updated

10 years ago
Status: RESOLVED → VERIFIED
(Reporter)

Updated

10 years ago
Attachment #333315 - Attachment description: patch to disable tests → patch to disable tests [Checkin: Comment 9]
(Reporter)

Updated

10 years ago
Blocks: 448343
No longer depends on: 448343
You need to log in before you can comment on or make changes to this bug.